"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../../../../../src");
const utils_1 = require("../../../../utils");
describe('README.md api/table/column/wrapWord', () => {
    it('text_wrapping (no wrap word)', () => {
        const data = [
            ['Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus pulvinar nibh sed mauris convallis dapibus. Nunc venenatis tempus nulla sit amet viverra.'],
        ];
        const config = {
            columns: [{ width: 20 }],
        };
        const output = (0, src_1.table)(data, config);
        (0, utils_1.expectTable)(output, `
╔══════════════════════╗
║ Lorem ipsum dolor si ║
║ t amet, consectetur  ║
║ adipiscing elit. Pha ║
║ sellus pulvinar nibh ║
║ sed mauris convallis ║
║ dapibus. Nunc venena ║
║ tis tempus nulla sit ║
║ amet viverra.        ║
╚══════════════════════╝
        `);
    });
    it('text_wrapping (wrap word)', () => {
        const data = [
            ['Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus pulvinar nibh sed mauris convallis dapibus. Nunc venenatis tempus nulla sit amet viverra.'],
        ];
        const config = {
            columns: [{ width: 20,
                    wrapWord: true }],
        };
        (0, utils_1.expectTable)((0, src_1.table)(data, config), `
╔══════════════════════╗
║ Lorem ipsum dolor    ║
║ sit amet,            ║
║ consectetur          ║
║ adipiscing elit.     ║
║ Phasellus pulvinar   ║
║ nibh sed mauris      ║
║ convallis dapibus.   ║
║ Nunc venenatis       ║
║ tempus nulla sit     ║
║ amet viverra.        ║
╚══════════════════════╝
        `);
    });
});
//# sourceMappingURL=wrapWord.js.map