"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../../../../src");
const utils_1 = require("../../../utils");
describe('README.md api/table', () => {
    it('drawVerticalLine', () => {
        const data = [
            ['0A', '0B', '0C'],
            ['1A', '1B', '1C'],
            ['2A', '2B', '2C'],
            ['3A', '3B', '3C'],
            ['4A', '4B', '4C'],
        ];
        const options = {
            drawVerticalLine: (index, size) => {
                return index === 0 || index === size;
            },
        };
        const output = (0, src_1.table)(data, options);
        (0, utils_1.expectTable)(output, `
╔════════════╗
║ 0A  0B  0C ║
╟────────────╢
║ 1A  1B  1C ║
╟────────────╢
║ 2A  2B  2C ║
╟────────────╢
║ 3A  3B  3C ║
╟────────────╢
║ 4A  4B  4C ║
╚════════════╝
        `);
    });
});
//# sourceMappingURL=drawVerticalLine.js.map