"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../../../../src");
const utils_1 = require("../../../utils");
describe('README.md api/table/', () => {
    it('/header', () => {
        const data = [
            ['0A', '0B', '0C'],
            ['1A', '1B', '1C'],
            ['2A', '2B', '2C'],
        ];
        const config = {
            columnDefault: {
                width: 10,
            },
            header: {
                alignment: 'center',
                content: 'THE HEADER\nThis is the table about something',
            },
        };
        (0, utils_1.expectTable)((0, src_1.table)(data, config), `
╔══════════════════════════════════════╗
║              THE HEADER              ║
║  This is the table about something   ║
╟────────────┬────────────┬────────────╢
║ 0A         │ 0B         │ 0C         ║
╟────────────┼────────────┼────────────╢
║ 1A         │ 1B         │ 1C         ║
╟────────────┼────────────┼────────────╢
║ 2A         │ 2B         │ 2C         ║
╚════════════╧════════════╧════════════╝
        `);
    });
});
//# sourceMappingURL=header.js.map