"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const stringifyTableData_1 = require("../src/stringifyTableData");
describe('stringifyTableData', () => {
    it('converts all cell values to strings', () => {
        const rows = [[null, undefined, true, false],
            [0, -3.14159, Number.NaN, Number.POSITIVE_INFINITY],
            [['a', 'b'], { cd: 1 }]];
        (0, chai_1.expect)((0, stringifyTableData_1.stringifyTableData)(rows)).to.deep.equal([
            ['null', 'undefined', 'true', 'false'],
            ['0', '-3.14159', 'NaN', 'Infinity'],
            ['a,b', '[object Object]'],
        ]);
    });
});
//# sourceMappingURL=stringifyTableData.js.map