"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.expectTable = exports.arrayToRed = exports.stringToRed = exports.closeBold = exports.openBold = exports.closeRed = exports.openRed = void 0;
const chai_1 = require("chai");
exports.openRed = '\u001b[31m';
exports.closeRed = '\u001b[39m';
exports.openBold = '\u001b[1m';
exports.closeBold = '\u001b[22m';
const stringToRed = (string) => {
    return exports.openRed + string + exports.closeRed;
};
exports.stringToRed = stringToRed;
const arrayToRed = (array) => {
    return array.map((string) => {
        return string === '' ? '' : (0, exports.stringToRed)(string);
    });
};
exports.arrayToRed = arrayToRed;
const expectTable = (result, expectedResult) => {
    (0, chai_1.expect)(result).to.equal(expectedResult.trim() + '\n');
};
exports.expectTable = expectTable;
//# sourceMappingURL=utils.js.map