"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ajv_1 = __importDefault(require("ajv"));
const ajv_keywords_1 = __importDefault(require("ajv-keywords"));
const json_schema_draft_06_json_1 = __importDefault(require("ajv/lib/refs/json-schema-draft-06.json"));
const chai_1 = require("chai");
const validators_1 = __importDefault(require("../src/generated/validators"));
const shared_json_1 = __importDefault(require("../src/schemas/shared.json"));
const streamConfig_json_1 = __importDefault(require("../src/schemas/streamConfig.json"));
const streamConfigSamples_1 = __importDefault(require("./streamConfigSamples"));
const validateConfig = validators_1.default['streamConfig.json'];
describe('streamConfig.json schema', () => {
    let validate;
    before(() => {
        const ajv = new ajv_1.default({
            allErrors: true,
        });
        ajv.addMetaSchema(json_schema_draft_06_json_1.default);
        (0, ajv_keywords_1.default)(ajv, 'typeof');
        ajv.addSchema(shared_json_1.default);
        validate = ajv.compile(streamConfig_json_1.default);
    });
    it('passes validation of valid streamConfig samples', () => {
        for (const sample of streamConfigSamples_1.default.valid) {
            (0, chai_1.expect)(validate(sample)).to.equal(true);
            (0, chai_1.expect)(validateConfig(sample)).to.equal(true);
        }
    });
    it('fails validation of invalid streamConfig samples', () => {
        for (const sample of streamConfigSamples_1.default.invalid) {
            (0, chai_1.expect)(validate(sample)).to.equal(false);
            (0, chai_1.expect)(validateConfig(sample)).to.equal(false);
        }
    });
});
//# sourceMappingURL=validateStreamConfig.js.map